Skip to main content
`Ctrl`+`K`

# make_seq

make_seq(seq, name: str | None = None, moltype: MolTypeLiteral | None = None, annotation_offset: int = 0, annotation_db: AnnotationDbABC | None = None, **kwargs: Any)
  Parameters:
    seq

      raw string to be converted to sequence object

    name

      sequence name

    moltype

      name of a moltype or moltype instance. If None, defaults to ‘text’.

    annotation_offset

      integer indicating start position relative to annotations

    **kwargs

      other keyword arguments passed to Sequence

  Returns:
    returns a sequence object